Module ij
Package ij.io

# Class TiffEncoder

java.lang.Object
ij.io.TiffEncoder

public class TiffEncoder extends Object
Saves an image described by a FileInfo object as an uncompressed TIFF file.

## Constructor Summary

Constructors
Constructor
Description
`TiffEncoder(FileInfo fi)`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(DataOutputStream out)`
`void`
`write(OutputStream out)`
Saves the image as a TIFF file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TiffEncoder

public TiffEncoder(FileInfo fi)

## Method Details

### write

public void write(OutputStream out) throws IOException
Saves the image as a TIFF file. The OutputStream is not closed. The fi.pixels field must contain the image data. If fi.nImages>1 then fi.pixels must be a 2D array. The fi.offset field is ignored.

Throws:
  `IOException`

### write

public void write(DataOutputStream out) throws IOException

Throws:
  `IOException`